%global gem_name bindex
Name:                rubygem-%{gem_name}
Version:             0.5.0
Release:             2
Summary:             Bindings for your Ruby exceptions
License:             MIT
URL:                 https://github.com/gsamokovarov/bindex
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0:              Fix-test-error.patch
BuildRequires:       ruby(release) rubygems-devel ruby-devel >= 2.0.0 gcc rubygem(minitest)
%description
Bindings for your Ruby exceptions.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}/%{gem_name}
cp -a .%{gem_extdir_mri}/gem.build_complete %{buildroot}%{gem_extdir_mri}/
cp -a .%{gem_extdir_mri}/%{gem_name}/*.so %{buildroot}%{gem_extdir_mri}/%{gem_name}
rm -rf %{buildroot}%{gem_instdir}/ext/

%check
pushd .%{gem_instdir}
ruby -I$(dirs +1)%{gem_extdir_mri}:lib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/bindex.gemspec
%{gem_libdir}
%exclude %{gem_libdir}/bindex/*.jar
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Wed Jan 26 2022 liyanan <liyanan32@huawei.com> - 0.5.0-2
- Fix test error

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 0.5.0-1
- package init
